﻿#Import-Module StarWindX

try
{
    $server = New-SWServer -host 10.131.1.62 -port 3261 -user svc -password 

    $server.Connect()

    $firstNode = new-Object Node

    $firstNode.ImagePath = "My computer\e\ais-vsan\ais-iscsi-fast"
    $firstNode.ImageName = "ais-iscsi-fast"
    $firstNode.Size = 1024
    $firstNode.CreateImage = $true
    $firstNode.TargetAlias = "ais-iscsi-fast"
    $firstNode.AutoSynch = $true
    $firstNode.SyncInterface = "#p2=172.31.1.61:3260"
    $firstNode.HBInterface = "#p2=10.131.1.61:3260"
    $firstNode.CacheSize = 2048
    $firstNode.CacheMode = "wb"
    $firstNode.PoolName = ""
    $firstNode.SyncSessionCount = 1
    $firstNode.ALUAOptimized = $true
    
    #
    # device sector size. Possible values: 512 or 4096(May be incompatible with some clients!) bytes. 
    #
    $firstNode.SectorSize = 512
	
	#
	# 'SerialID' should be between 16 and 31 symbols. If it not specified StarWind Service will generate it. 
	# Note: Second node always has the same serial ID. You do not need to specify it for second node
	#
	#firstNode.SerialID = "050176c0b535403ba3ce06286e33eab" 
    
    $secondNode = new-Object Node

    $secondNode.HostName = "10.131.1.61"
    $secondNode.HostPort = "3261"
    $secondNode.Login = 
    $secondNode.Password = 
    $secondNode.ImagePath = "My computer\d\ais-vsan\ais-iscsi-fast"
    $secondNode.ImageName = "ais-iscsi-fast"
    $secondNode.Size = 1024
    $secondNode.CreateImage = $true
    $secondNode.TargetAlias = "ais-iscsi-fast"
    $secondNode.AutoSynch = $true
    $secondNode.SyncInterface = "#p1=172.31.1.62:3260"
    $secondNode.HBInterface = "#p1=10.131.1.62:3260"
    $secondNode.ALUAOptimized = $true
        
    $device = Add-HADevice -server $server -firstNode $firstNode -secondNode $secondNode -initMethod "Clear"
    
    $syncState = $device.GetPropertyValue("ha_synch_status")

    while ($syncState -ne "1")
    {
        #
        # Refresh device info
        #
        $device.Refresh()

        $syncState = $device.GetPropertyValue("ha_synch_status")
        $syncPercent = $device.GetPropertyValue("ha_synch_percent")

        Start-Sleep -m 2000

        Write-Host "Synchronizing: $($syncPercent)%" -foreground yellow
    }
}
catch
{
    Write-Host "Exception $($_.Exception.Message)" -foreground red 
}

$server.Disconnect()